<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetObjects Method (IEdmVault9)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault9 Interface : GetObjects Method (IEdmVault9)

Visual Basic
C#
C++/CLI

ppoObjects
  Array of EdmObjectInfo structures; one structure for each interface to retrieve

Gets interfaces to all of the specified objects.

# Syntax

Visual Basic |
--- | ---

    Sub GetObjects( _
       ByRef ppoObjects() As EdmObjectInfo _
    )

C# |
--- | ---

    void GetObjects(
       out EdmObjectInfo[] ppoObjects
    )

C++/CLI |
--- | ---

    void GetObjects(
    &   [Out] array<EdmObjectInfo>^ ppoObjects
    )

#### Parameters

ppoObjects
  Array of EdmObjectInfo structures; one structure for each interface to retrieve

# Example

Batch Update Card Variables (C#)
Batch Update Card Variables (VB.NET)

# Remarks

Call this method to get interfaces to several objects at once, which is more efficient than calling IEdmVault5::GetObject multiple times.

# See Also

####

IEdmVault9 Interface
IEdmVault9 Members

# Availability

SOLIDWORKS PDM Professional 2008